Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.parallelgzipcsv
Class ParGzipCsvInputData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.parallelgzipcsv.ParGzipCsvInputData

All Implemented Interfaces:
  StepDataInterface

    public class ParGzipCsvInputData

extends BaseStepData
implements StepDataInterface

Since:
  3.2
Author:
  Matt

Field Summary
`byte[]` | `binaryFilename`
`int` | `blockNr`
`long` | `blockSize`
`int` | `bufferSize`
`byte[]` | `byteBuffer` This is the main byte buffer into which we're going to read chunks of data...
`org.pentaho.di.core.row.RowMetaInterface` | `convertRowMeta`
`byte[]` | `delimiter`
`byte[]` | `enclosure`
`int` | `endBuffer`
`boolean` | `eofReached`
`int` | `filenameFieldIndex`
`String[]` | `filenames`
`int` | `filenr`
`long` | `fileReadPosition`
`InputStream` | `fis`
`GZIPInputStream` | `gzis`
`boolean` | `isAddingRowNumber`
`int` | `maxBuffer`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`boolean` | `parallel`
`long` | `rowNumber`
`int` | `rownumFieldIndex`
`int` | `startBuffer`
`int` | `startFilenr`
`int` | `stepNumber`
`long` | `totalBytesRead`
`int` | `totalNumberOfSteps`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`ParGzipCsvInputData()`

Method Summary
`boolean` | `getMoreData()` Read more data from our current file...
`byte[]` | `removeEscapedEnclosures(byte[] field, int nrEnclosuresFound)`

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### convertRowMeta

    public org.pentaho.di.core.row.RowMetaInterface convertRowMeta

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### filenames

    public String[] filenames

### filenr

    public int filenr

### startFilenr

    public int startFilenr

### binaryFilename

    public byte[] binaryFilename

### fis

    public InputStream fis

### isAddingRowNumber

    public boolean isAddingRowNumber

### rowNumber

    public long rowNumber

### stepNumber

    public int stepNumber

### totalNumberOfSteps

    public int totalNumberOfSteps

### parallel

    public boolean parallel

### filenameFieldIndex

    public int filenameFieldIndex

### rownumFieldIndex

    public int rownumFieldIndex

### gzis

    public GZIPInputStream gzis

### bufferSize

    public int bufferSize

### delimiter

    public byte[] delimiter

### enclosure

    public byte[] enclosure

### startBuffer

    public int startBuffer

### endBuffer

    public int endBuffer

### maxBuffer

    public int maxBuffer

### byteBuffer

    public byte[] byteBuffer

  This is the main byte buffer into which we're going to read chunks of data...

### totalBytesRead

    public long totalBytesRead

### blockSize

    public long blockSize

### eofReached

    public boolean eofReached

### fileReadPosition

    public long fileReadPosition

### blockNr

    public int blockNr

Constructor Detail

### ParGzipCsvInputData

    public ParGzipCsvInputData()

Method Detail

### removeEscapedEnclosures

    public byte[] removeEscapedEnclosures(byte[] field,
                                          int nrEnclosuresFound)

  Returns:
    the byte array with escaped enclosures escaped.

### getMoreData

    public boolean getMoreData()
                        throws org.pentaho.di.core.exception.KettleException

  Read more data from our current file...

  Returns:
  Throws:
    `org.pentaho.di.core.exception.KettleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD